/*
 * ImageFX.rexx -- Flyer program to launch ImageFX
 *
 * Copyright  1996 Nova Design, Inc.
 * Written by Thomas Krehbiel
 *
 * Copy this script to the "NewTek/ARexx/Editor/" directory to use.
 *
 */

OPTIONS RESULTS
call remlib('PROJECT_REXX_PORT')
call remlib('ToasterARexx.port')
call remlib('rexxsupport.library')

call ADDLIB("rexxsupport.library", 0,-30,0)
call addlib('PROJECT_REXX_PORT', 0)
call addlib('ToasterARexx.port',0)

/* show workbench */
Switcher('TOWB')

IF ~SHOW('P', 'IMAGEFX.1') THEN DO
   /* run ImageFX */
   ADDRESS COMMAND "ImageFX:ImageFX"
   END
ELSE DO
   /* pause a bit because TOWB is asynchronous */
   DELAY 1
   /* bring existing ImageFX to front */
   ADDRESS 'IMAGEFX.1' 'ScreenToFront'
   END

return 0
